Skip to content

List Observed Changes

GET
/v1/admin/autodream/observed-changes
curl --request GET \
--url 'https://example.com/v1/admin/autodream/observed-changes?tenant_id=&limit=50'
tenant_id
Tenant Id
string
""
limit
Limit
integer
default: 50 >= 1 <= 200
x-pomerium-jwt-assertion
Any of:
string

Successful Response

Media typeapplication/json
ObservedChangeListOut
object
items
Items
Array<object>
ObservedChangeOut
object
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
id
required
Id
string
tenant_id
required
Tenant Id
string
change_key
required
Change Key
string
source_kind
required
Source Kind
string
connector_id
required
Connector Id
string
event_source
required
Event Source
string
event_type
required
Event Type
string
status
required
Status
string
title
required
Title
string
summary
required
Summary
string
target_type
required
Target Type
string
target_ref
required
Target Ref
string
change_class
required
Change Class
string
authority_scope
required
Authority Scope
string
jurisdiction
required
Jurisdiction
string
data_class
required
Data Class
string
risk_threshold
required
Risk Threshold
integer
proposal_id
Any of:
string
proposal_key
Any of:
string
autodream_run_id
Any of:
string
payload
Payload
object
key
additional properties
any
result
Result
object
key
additional properties
any
Examplegenerated
{
"items": [
{
"created_at": "2026-04-15T12:00:00Z",
"updated_at": "2026-04-15T12:00:00Z",
"id": "example",
"tenant_id": "example",
"change_key": "example",
"source_kind": "example",
"connector_id": "example",
"event_source": "example",
"event_type": "example",
"status": "example",
"title": "example",
"summary": "example",
"target_type": "example",
"target_ref": "example",
"change_class": "example",
"authority_scope": "example",
"jurisdiction": "example",
"data_class": "example",
"risk_threshold": 1,
"proposal_id": "example",
"proposal_key": "example",
"autodream_run_id": "example",
"payload": {},
"result": {}
}
]
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}